import{s as xr,n as Ir,o as yr}from"../chunks/scheduler.8c3d61f6.js";import{S as wr,i as zr,g as s,s as o,r as m,A as Vr,h as a,f as n,c as r,j as _,u as g,x as h,k as v,y as t,a as $,v as l,d as p,t as f,w as u}from"../chunks/index.589a98e8.js";import{D as b}from"../chunks/Docstring.27406313.js";import{H as dt,E as Cr}from"../chunks/EditOnGithub.e5a8d9cb.js";function Tr(jo){let w,ct,nt,mt,J,gt,K,Bo='The <code>VaeImageProcessor</code> provides a unified API for <a href="/docs/diffusers/v0.29.1/en/api/pipelines/stable_diffusion/text2img#diffusers.StableDiffusionPipeline">StableDiffusionPipeline</a>s to prepare image inputs for VAE encoding and post-processing outputs once they’re decoded. This includes transformations such as resizing, normalization, and conversion between PIL Image, PyTorch, and NumPy arrays.',lt,Q,So="All pipelines with <code>VaeImageProcessor</code> accept PIL Image, PyTorch tensor, or NumPy arrays as image inputs and return outputs based on the <code>output_type</code> argument by the user. You can pass encoded image latents directly to the pipeline and return latents from the pipeline as a specific output with the <code>output_type</code> argument (for example <code>output_type=&quot;latent&quot;</code>). This allows you to take the generated latents from one pipeline and pass it to another pipeline as input without leaving the latent space. It also makes it much easier to use multiple pipelines together by passing PyTorch tensors directly between different pipelines.",pt,X,ft,i,Z,Yt,Le,Yo="Image processor for VAE.",Jt,z,ee,Kt,ke,Jo="overlay the inpaint output to the original image",Qt,V,te,Xt,Ae,Ko="Create a mask.",Zt,C,oe,eo,Me,Qo="Applies Gaussian blur to an image.",to,T,re,oo,Ee,Xo="Converts a PIL image to grayscale format.",ro,D,se,so,Ne,Zo="Converts a PIL image to RGB format.",ao,L,ae,no,We,er="Denormalize an image array to [0,1].",io,k,ne,co,Fe,tr=`Finds a rectangular region that contains all masked ares in an image, and expands region to match the aspect
ratio of the original image; for example, if user drew mask in a 128x32 region, and the dimensions for
processing are 512x512, the region will be expanded to 128x128.`,mo,A,ie,go,He,or=`This function return the height and width that are downscaled to the next integer multiple of
<code>vae_scale_factor</code>.`,lo,M,de,po,Re,rr="Normalize an image array to [-1,1].",fo,E,ce,uo,qe,sr="Convert a numpy image or a batch of images to a PIL image.",ho,N,me,_o,Oe,ar="Convert a NumPy image to a PyTorch tensor.",vo,W,ge,bo,Ue,nr="Convert a PIL image or a list of PIL images to NumPy arrays.",$o,F,le,Po,Ge,ir="Postprocess the image output from tensor to <code>output_type</code>.",xo,H,pe,Io,je,dr="Preprocess the image input.",yo,R,fe,wo,Be,cr="Convert a PyTorch tensor to a NumPy image.",zo,q,ue,Vo,Se,mr="Resize image.",ut,he,ht,_e,gr="The <code>VaeImageProcessorLDM3D</code> accepts RGB and depth inputs and returns RGB and depth outputs.",_t,P,ve,Co,Ye,lr="Image processor for VAE LDM3D.",To,O,be,Do,Je,pr="Convert a PIL image or a list of PIL images to NumPy arrays.",Lo,U,$e,ko,Ke,fr="Convert a NumPy depth image or a batch of images to a PIL image.",Ao,G,Pe,Mo,Qe,ur="Convert a NumPy image or a batch of images to a PIL image.",Eo,j,xe,No,Xe,hr="Preprocess the image input. Accepted formats are PIL images, NumPy arrays or PyTorch tensors.",Wo,B,Ie,Fo,Ze,_r="Returns: depth map",vt,ye,bt,I,we,Ho,et,vr="Image processor for PixArt image resize and crop.",Ro,S,ze,qo,tt,br="Returns binned height and width.",$t,Ve,Pt,y,Ce,Oo,ot,$r="Image processor for IP Adapter image masks.",Uo,Y,Te,Go,rt,Pr=`Downsamples the provided mask tensor to match the expected dimensions for scaled dot-product attention. If the
aspect ratio of the mask does not match the aspect ratio of the output image, a warning is issued.`,xt,De,It,it,yt;return J=new dt({props:{title:"VAE Image Processor",local:"vae-image-processor",headingTag:"h1"}}),X=new dt({props:{title:"VaeImageProcessor",local:"diffusers.image_processor.VaeImageProcessor",headingTag:"h2"}}),Z=new b({props:{name:"class diffusers.image_processor.VaeImageProcessor",anchor:"diffusers.image_processor.VaeImageProcessor",parameters:[{name:"do_resize",val:": bool = True"},{name:"vae_scale_factor",val:": int = 8"},{name:"vae_latent_channels",val:": int = 4"},{name:"resample",val:": str = 'lanczos'"},{name:"do_normalize",val:": bool = True"},{name:"do_binarize",val:": bool = False"},{name:"do_convert_rgb",val:": bool = False"},{name:"do_convert_grayscale",val:": bool = False"}],parametersDescription:[{anchor:"diffusers.image_processor.VaeImageProcessor.do_resize",description:`<strong>do_resize</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether to downscale the image&#x2019;s (height, width) dimensions to multiples of <code>vae_scale_factor</code>. Can accept
<code>height</code> and <code>width</code> arguments from <a href="/docs/diffusers/v0.29.1/en/api/image_processor#diffusers.image_processor.VaeImageProcessor.preprocess">image_processor.VaeImageProcessor.preprocess()</a> method.`,name:"do_resize"},{anchor:"diffusers.image_processor.VaeImageProcessor.vae_scale_factor",description:`<strong>vae_scale_factor</strong> (<code>int</code>, <em>optional</em>, defaults to <code>8</code>) &#x2014;
VAE scale factor. If <code>do_resize</code> is <code>True</code>, the image is automatically resized to multiples of this factor.`,name:"vae_scale_factor"},{anchor:"diffusers.image_processor.VaeImageProcessor.resample",description:`<strong>resample</strong> (<code>str</code>, <em>optional</em>, defaults to <code>lanczos</code>) &#x2014;
Resampling filter to use when resizing the image.`,name:"resample"},{anchor:"diffusers.image_processor.VaeImageProcessor.do_normalize",description:`<strong>do_normalize</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether to normalize the image to [-1,1].`,name:"do_normalize"},{anchor:"diffusers.image_processor.VaeImageProcessor.do_binarize",description:`<strong>do_binarize</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether to binarize the image to 0/1.`,name:"do_binarize"},{anchor:"diffusers.image_processor.VaeImageProcessor.do_convert_rgb",description:`<strong>do_convert_rgb</strong> (<code>bool</code>, <em>optional</em>, defaults to be <code>False</code>) &#x2014;
Whether to convert the images to RGB format.`,name:"do_convert_rgb"},{anchor:"diffusers.image_processor.VaeImageProcessor.do_convert_grayscale",description:`<strong>do_convert_grayscale</strong> (<code>bool</code>, <em>optional</em>, defaults to be <code>False</code>) &#x2014;
Whether to convert the images to grayscale format.`,name:"do_convert_grayscale"}],source:"https://github.com/huggingface/diffusers/blob/v0.29.1/src/diffusers/image_processor.py#L60"}}),ee=new b({props:{name:"apply_overlay",anchor:"diffusers.image_processor.VaeImageProcessor.apply_overlay",parameters:[{name:"mask",val:": Image"},{name:"init_image",val:": Image"},{name:"image",val:": Image"},{name:"crop_coords",val:": Optional = None"}],source:"https://github.com/huggingface/diffusers/blob/v0.29.1/src/diffusers/image_processor.py#L652"}}),te=new b({props:{name:"binarize",anchor:"diffusers.image_processor.VaeImageProcessor.binarize",parameters:[{name:"image",val:": Image"}],parametersDescription:[{anchor:"diffusers.image_processor.VaeImageProcessor.binarize.image",description:`<strong>image</strong> (<code>PIL.Image.Image</code>) &#x2014;
The image input, should be a PIL image.`,name:"image"}],source:"https://github.com/huggingface/diffusers/blob/v0.29.1/src/diffusers/image_processor.py#L409",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>The binarized image. Values less than 0.5 are set to 0, values greater than 0.5 are set to 1.</p>
`,returnType:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>PIL.Image.Image</code></p>
`}}),oe=new b({props:{name:"blur",anchor:"diffusers.image_processor.VaeImageProcessor.blur",parameters:[{name:"image",val:": Image"},{name:"blur_factor",val:": int = 4"}],source:"https://github.com/huggingface/diffusers/blob/v0.29.1/src/diffusers/image_processor.py#L183"}}),re=new b({props:{name:"convert_to_grayscale",anchor:"diffusers.image_processor.VaeImageProcessor.convert_to_grayscale",parameters:[{name:"image",val:": Image"}],source:"https://github.com/huggingface/diffusers/blob/v0.29.1/src/diffusers/image_processor.py#L174"}}),se=new b({props:{name:"convert_to_rgb",anchor:"diffusers.image_processor.VaeImageProcessor.convert_to_rgb",parameters:[{name:"image",val:": Image"}],source:"https://github.com/huggingface/diffusers/blob/v0.29.1/src/diffusers/image_processor.py#L165"}}),ae=new b({props:{name:"denormalize",anchor:"diffusers.image_processor.VaeImageProcessor.denormalize",parameters:[{name:"images",val:": Union"}],source:"https://github.com/huggingface/diffusers/blob/v0.29.1/src/diffusers/image_processor.py#L158"}}),ne=new b({props:{name:"get_crop_region",anchor:"diffusers.image_processor.VaeImageProcessor.get_crop_region",parameters:[{name:"mask_image",val:": Image"},{name:"width",val:": int"},{name:"height",val:": int"},{name:"pad",val:" = 0"}],parametersDescription:[{anchor:"diffusers.image_processor.VaeImageProcessor.get_crop_region.mask_image",description:"<strong>mask_image</strong> (PIL.Image.Image) &#x2014; Mask image.",name:"mask_image"},{anchor:"diffusers.image_processor.VaeImageProcessor.get_crop_region.width",description:"<strong>width</strong> (int) &#x2014; Width of the image to be processed.",name:"width"},{anchor:"diffusers.image_processor.VaeImageProcessor.get_crop_region.height",description:"<strong>height</strong> (int) &#x2014; Height of the image to be processed.",name:"height"},{anchor:"diffusers.image_processor.VaeImageProcessor.get_crop_region.pad",description:"<strong>pad</strong> (int, optional) &#x2014; Padding to be added to the crop region. Defaults to 0.",name:"pad"}],source:"https://github.com/huggingface/diffusers/blob/v0.29.1/src/diffusers/image_processor.py#L192",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>(x1, y1, x2, y2) represent a rectangular region that contains all masked ares in an image and
matches the original aspect ratio.</p>
`,returnType:`<script context="module">export const metadata = 'undefined';<\/script>


<p>tuple</p>
`}}),ie=new b({props:{name:"get_default_height_width",anchor:"diffusers.image_processor.VaeImageProcessor.get_default_height_width",parameters:[{name:"image",val:": Union"},{name:"height",val:": Optional = None"},{name:"width",val:": Optional = None"}],parametersDescription:[{anchor:"diffusers.image_processor.VaeImageProcessor.get_default_height_width.image(PIL.Image.Image,",description:`<strong>image(<code>PIL.Image.Image</code>,</strong> <code>np.ndarray</code> or <code>torch.Tensor</code>) &#x2014;
The image input, can be a PIL image, numpy array or pytorch tensor. if it is a numpy array, should have
shape <code>[batch, height, width]</code> or <code>[batch, height, width, channel]</code> if it is a pytorch tensor, should
have shape <code>[batch, channel, height, width]</code>.`,name:"image(PIL.Image.Image,"},{anchor:"diffusers.image_processor.VaeImageProcessor.get_default_height_width.height",description:`<strong>height</strong> (<code>int</code>, <em>optional</em>, defaults to <code>None</code>) &#x2014;
The height in preprocessed image. If <code>None</code>, will use the height of <code>image</code> input.`,name:"height"},{anchor:"diffusers.image_processor.VaeImageProcessor.get_default_height_width.width",description:"<strong>width</strong> (<code>int</code>, <em>optional</em><code>, defaults to </code>None<code>) -- The width in preprocessed. If </code>None<code>, will use the width of the </code>image` input.",name:"width"}],source:"https://github.com/huggingface/diffusers/blob/v0.29.1/src/diffusers/image_processor.py#L426"}}),de=new b({props:{name:"normalize",anchor:"diffusers.image_processor.VaeImageProcessor.normalize",parameters:[{name:"images",val:": Union"}],source:"https://github.com/huggingface/diffusers/blob/v0.29.1/src/diffusers/image_processor.py#L151"}}),ce=new b({props:{name:"numpy_to_pil",anchor:"diffusers.image_processor.VaeImageProcessor.numpy_to_pil",parameters:[{name:"images",val:": ndarray"}],source:"https://github.com/huggingface/diffusers/blob/v0.29.1/src/diffusers/image_processor.py#L104"}}),me=new b({props:{name:"numpy_to_pt",anchor:"diffusers.image_processor.VaeImageProcessor.numpy_to_pt",parameters:[{name:"images",val:": ndarray"}],source:"https://github.com/huggingface/diffusers/blob/v0.29.1/src/diffusers/image_processor.py#L132"}}),ge=new b({props:{name:"pil_to_numpy",anchor:"diffusers.image_processor.VaeImageProcessor.pil_to_numpy",parameters:[{name:"images",val:": Union"}],source:"https://github.com/huggingface/diffusers/blob/v0.29.1/src/diffusers/image_processor.py#L120"}}),le=new b({props:{name:"postprocess",anchor:"diffusers.image_processor.VaeImageProcessor.postprocess",parameters:[{name:"image",val:": Tensor"},{name:"output_type",val:": str = 'pil'"},{name:"do_denormalize",val:": Optional = None"}],parametersDescription:[{anchor:"diffusers.image_processor.VaeImageProcessor.postprocess.image",description:`<strong>image</strong> (<code>torch.Tensor</code>) &#x2014;
The image input, should be a pytorch tensor with shape <code>B x C x H x W</code>.`,name:"image"},{anchor:"diffusers.image_processor.VaeImageProcessor.postprocess.output_type",description:`<strong>output_type</strong> (<code>str</code>, <em>optional</em>, defaults to <code>pil</code>) &#x2014;
The output type of the image, can be one of <code>pil</code>, <code>np</code>, <code>pt</code>, <code>latent</code>.`,name:"output_type"},{anchor:"diffusers.image_processor.VaeImageProcessor.postprocess.do_denormalize",description:`<strong>do_denormalize</strong> (<code>List[bool]</code>, <em>optional</em>, defaults to <code>None</code>) &#x2014;
Whether to denormalize the image to [0,1]. If <code>None</code>, will use the value of <code>do_normalize</code> in the
<code>VaeImageProcessor</code> config.`,name:"do_denormalize"}],source:"https://github.com/huggingface/diffusers/blob/v0.29.1/src/diffusers/image_processor.py#L597",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>The postprocessed image.</p>
`,returnType:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>PIL.Image.Image</code>, <code>np.ndarray</code> or <code>torch.Tensor</code></p>
`}}),pe=new b({props:{name:"preprocess",anchor:"diffusers.image_processor.VaeImageProcessor.preprocess",parameters:[{name:"image",val:": Union"},{name:"height",val:": Optional = None"},{name:"width",val:": Optional = None"},{name:"resize_mode",val:": str = 'default'"},{name:"crops_coords",val:": Optional = None"}],parametersDescription:[{anchor:"diffusers.image_processor.VaeImageProcessor.preprocess.image",description:`<strong>image</strong> (<code>pipeline_image_input</code>) &#x2014;
The image input, accepted formats are PIL images, NumPy arrays, PyTorch tensors; Also accept list of
supported formats.`,name:"image"},{anchor:"diffusers.image_processor.VaeImageProcessor.preprocess.height",description:`<strong>height</strong> (<code>int</code>, <em>optional</em>, defaults to <code>None</code>) &#x2014;
The height in preprocessed image. If <code>None</code>, will use the <code>get_default_height_width()</code> to get default
height.`,name:"height"},{anchor:"diffusers.image_processor.VaeImageProcessor.preprocess.width",description:"<strong>width</strong> (<code>int</code>, <em>optional</em><code>, defaults to </code>None<code>) -- The width in preprocessed. If </code>None<code>, will use get_default_height_width()</code> to get the default width.",name:"width"},{anchor:"diffusers.image_processor.VaeImageProcessor.preprocess.resize_mode",description:`<strong>resize_mode</strong> (<code>str</code>, <em>optional</em>, defaults to <code>default</code>) &#x2014;
The resize mode, can be one of <code>default</code> or <code>fill</code>. If <code>default</code>, will resize the image to fit within
the specified width and height, and it may not maintaining the original aspect ratio. If <code>fill</code>, will
resize the image to fit within the specified width and height, maintaining the aspect ratio, and then
center the image within the dimensions, filling empty with data from image. If <code>crop</code>, will resize the
image to fit within the specified width and height, maintaining the aspect ratio, and then center the
image within the dimensions, cropping the excess. Note that resize_mode <code>fill</code> and <code>crop</code> are only
supported for PIL image input.`,name:"resize_mode"},{anchor:"diffusers.image_processor.VaeImageProcessor.preprocess.crops_coords",description:`<strong>crops_coords</strong> (<code>List[Tuple[int, int, int, int]]</code>, <em>optional</em>, defaults to <code>None</code>) &#x2014;
The crop coordinates for each image in the batch. If <code>None</code>, will not crop the image.`,name:"crops_coords"}],source:"https://github.com/huggingface/diffusers/blob/v0.29.1/src/diffusers/image_processor.py#L469"}}),fe=new b({props:{name:"pt_to_numpy",anchor:"diffusers.image_processor.VaeImageProcessor.pt_to_numpy",parameters:[{name:"images",val:": Tensor"}],source:"https://github.com/huggingface/diffusers/blob/v0.29.1/src/diffusers/image_processor.py#L143"}}),ue=new b({props:{name:"resize",anchor:"diffusers.image_processor.VaeImageProcessor.resize",parameters:[{name:"image",val:": Union"},{name:"height",val:": int"},{name:"width",val:": int"},{name:"resize_mode",val:": str = 'default'"}],parametersDescription:[{anchor:"diffusers.image_processor.VaeImageProcessor.resize.image",description:`<strong>image</strong> (<code>PIL.Image.Image</code>, <code>np.ndarray</code> or <code>torch.Tensor</code>) &#x2014;
The image input, can be a PIL image, numpy array or pytorch tensor.`,name:"image"},{anchor:"diffusers.image_processor.VaeImageProcessor.resize.height",description:`<strong>height</strong> (<code>int</code>) &#x2014;
The height to resize to.`,name:"height"},{anchor:"diffusers.image_processor.VaeImageProcessor.resize.width",description:`<strong>width</strong> (<code>int</code>) &#x2014;
The width to resize to.`,name:"width"},{anchor:"diffusers.image_processor.VaeImageProcessor.resize.resize_mode",description:`<strong>resize_mode</strong> (<code>str</code>, <em>optional</em>, defaults to <code>default</code>) &#x2014;
The resize mode to use, can be one of <code>default</code> or <code>fill</code>. If <code>default</code>, will resize the image to fit
within the specified width and height, and it may not maintaining the original aspect ratio. If <code>fill</code>,
will resize the image to fit within the specified width and height, maintaining the aspect ratio, and
then center the image within the dimensions, filling empty with data from image. If <code>crop</code>, will resize
the image to fit within the specified width and height, maintaining the aspect ratio, and then center
the image within the dimensions, cropping the excess. Note that resize_mode <code>fill</code> and <code>crop</code> are only
supported for PIL image input.`,name:"resize_mode"}],source:"https://github.com/huggingface/diffusers/blob/v0.29.1/src/diffusers/image_processor.py#L353",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>The resized image.</p>
`,returnType:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>PIL.Image.Image</code>, <code>np.ndarray</code> or <code>torch.Tensor</code></p>
`}}),he=new dt({props:{title:"VaeImageProcessorLDM3D",local:"diffusers.image_processor.VaeImageProcessorLDM3D",headingTag:"h2"}}),ve=new b({props:{name:"class diffusers.image_processor.VaeImageProcessorLDM3D",anchor:"diffusers.image_processor.VaeImageProcessorLDM3D",parameters:[{name:"do_resize",val:": bool = True"},{name:"vae_scale_factor",val:": int = 8"},{name:"resample",val:": str = 'lanczos'"},{name:"do_normalize",val:": bool = True"}],parametersDescription:[{anchor:"diffusers.image_processor.VaeImageProcessorLDM3D.do_resize",description:`<strong>do_resize</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether to downscale the image&#x2019;s (height, width) dimensions to multiples of <code>vae_scale_factor</code>.`,name:"do_resize"},{anchor:"diffusers.image_processor.VaeImageProcessorLDM3D.vae_scale_factor",description:`<strong>vae_scale_factor</strong> (<code>int</code>, <em>optional</em>, defaults to <code>8</code>) &#x2014;
VAE scale factor. If <code>do_resize</code> is <code>True</code>, the image is automatically resized to multiples of this factor.`,name:"vae_scale_factor"},{anchor:"diffusers.image_processor.VaeImageProcessorLDM3D.resample",description:`<strong>resample</strong> (<code>str</code>, <em>optional</em>, defaults to <code>lanczos</code>) &#x2014;
Resampling filter to use when resizing the image.`,name:"resample"},{anchor:"diffusers.image_processor.VaeImageProcessorLDM3D.do_normalize",description:`<strong>do_normalize</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether to normalize the image to [-1,1].`,name:"do_normalize"}],source:"https://github.com/huggingface/diffusers/blob/v0.29.1/src/diffusers/image_processor.py#L688"}}),be=new b({props:{name:"depth_pil_to_numpy",anchor:"diffusers.image_processor.VaeImageProcessorLDM3D.depth_pil_to_numpy",parameters:[{name:"images",val:": Union"}],source:"https://github.com/huggingface/diffusers/blob/v0.29.1/src/diffusers/image_processor.py#L731"}}),$e=new b({props:{name:"numpy_to_depth",anchor:"diffusers.image_processor.VaeImageProcessorLDM3D.numpy_to_depth",parameters:[{name:"images",val:": ndarray"}],source:"https://github.com/huggingface/diffusers/blob/v0.29.1/src/diffusers/image_processor.py#L754"}}),Pe=new b({props:{name:"numpy_to_pil",anchor:"diffusers.image_processor.VaeImageProcessorLDM3D.numpy_to_pil",parameters:[{name:"images",val:": ndarray"}],source:"https://github.com/huggingface/diffusers/blob/v0.29.1/src/diffusers/image_processor.py#L715"}}),xe=new b({props:{name:"preprocess",anchor:"diffusers.image_processor.VaeImageProcessorLDM3D.preprocess",parameters:[{name:"rgb",val:": Union"},{name:"depth",val:": Union"},{name:"height",val:": Optional = None"},{name:"width",val:": Optional = None"},{name:"target_res",val:": Optional = None"}],source:"https://github.com/huggingface/diffusers/blob/v0.29.1/src/diffusers/image_processor.py#L829"}}),Ie=new b({props:{name:"rgblike_to_depthmap",anchor:"diffusers.image_processor.VaeImageProcessorLDM3D.rgblike_to_depthmap",parameters:[{name:"image",val:": Union"}],source:"https://github.com/huggingface/diffusers/blob/v0.29.1/src/diffusers/image_processor.py#L743"}}),ye=new dt({props:{title:"PixArtImageProcessor",local:"diffusers.image_processor.PixArtImageProcessor",headingTag:"h2"}}),we=new b({props:{name:"class diffusers.image_processor.PixArtImageProcessor",anchor:"diffusers.image_processor.PixArtImageProcessor",parameters:[{name:"do_resize",val:": bool = True"},{name:"vae_scale_factor",val:": int = 8"},{name:"resample",val:": str = 'lanczos'"},{name:"do_normalize",val:": bool = True"},{name:"do_binarize",val:": bool = False"},{name:"do_convert_grayscale",val:": bool = False"}],parametersDescription:[{anchor:"diffusers.image_processor.PixArtImageProcessor.do_resize",description:`<strong>do_resize</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether to downscale the image&#x2019;s (height, width) dimensions to multiples of <code>vae_scale_factor</code>. Can accept
<code>height</code> and <code>width</code> arguments from <a href="/docs/diffusers/v0.29.1/en/api/image_processor#diffusers.image_processor.VaeImageProcessor.preprocess">image_processor.VaeImageProcessor.preprocess()</a> method.`,name:"do_resize"},{anchor:"diffusers.image_processor.PixArtImageProcessor.vae_scale_factor",description:`<strong>vae_scale_factor</strong> (<code>int</code>, <em>optional</em>, defaults to <code>8</code>) &#x2014;
VAE scale factor. If <code>do_resize</code> is <code>True</code>, the image is automatically resized to multiples of this factor.`,name:"vae_scale_factor"},{anchor:"diffusers.image_processor.PixArtImageProcessor.resample",description:`<strong>resample</strong> (<code>str</code>, <em>optional</em>, defaults to <code>lanczos</code>) &#x2014;
Resampling filter to use when resizing the image.`,name:"resample"},{anchor:"diffusers.image_processor.PixArtImageProcessor.do_normalize",description:`<strong>do_normalize</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether to normalize the image to [-1,1].`,name:"do_normalize"},{anchor:"diffusers.image_processor.PixArtImageProcessor.do_binarize",description:`<strong>do_binarize</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether to binarize the image to 0/1.`,name:"do_binarize"},{anchor:"diffusers.image_processor.PixArtImageProcessor.do_convert_rgb",description:`<strong>do_convert_rgb</strong> (<code>bool</code>, <em>optional</em>, defaults to be <code>False</code>) &#x2014;
Whether to convert the images to RGB format.`,name:"do_convert_rgb"},{anchor:"diffusers.image_processor.PixArtImageProcessor.do_convert_grayscale",description:`<strong>do_convert_grayscale</strong> (<code>bool</code>, <em>optional</em>, defaults to be <code>False</code>) &#x2014;
Whether to convert the images to grayscale format.`,name:"do_convert_grayscale"}],source:"https://github.com/huggingface/diffusers/blob/v0.29.1/src/diffusers/image_processor.py#L1033"}}),ze=new b({props:{name:"classify_height_width_bin",anchor:"diffusers.image_processor.PixArtImageProcessor.classify_height_width_bin",parameters:[{name:"height",val:": int"},{name:"width",val:": int"},{name:"ratios",val:": dict"}],source:"https://github.com/huggingface/diffusers/blob/v0.29.1/src/diffusers/image_processor.py#L1074"}}),Ve=new dt({props:{title:"IPAdapterMaskProcessor",local:"diffusers.image_processor.IPAdapterMaskProcessor",headingTag:"h2"}}),Ce=new b({props:{name:"class diffusers.image_processor.IPAdapterMaskProcessor",anchor:"diffusers.image_processor.IPAdapterMaskProcessor",parameters:[{name:"do_resize",val:": bool = True"},{name:"vae_scale_factor",val:": int = 8"},{name:"resample",val:": str = 'lanczos'"},{name:"do_normalize",val:": bool = False"},{name:"do_binarize",val:": bool = True"},{name:"do_convert_grayscale",val:": bool = True"}],parametersDescription:[{anchor:"diffusers.image_processor.IPAdapterMaskProcessor.do_resize",description:`<strong>do_resize</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether to downscale the image&#x2019;s (height, width) dimensions to multiples of <code>vae_scale_factor</code>.`,name:"do_resize"},{anchor:"diffusers.image_processor.IPAdapterMaskProcessor.vae_scale_factor",description:`<strong>vae_scale_factor</strong> (<code>int</code>, <em>optional</em>, defaults to <code>8</code>) &#x2014;
VAE scale factor. If <code>do_resize</code> is <code>True</code>, the image is automatically resized to multiples of this factor.`,name:"vae_scale_factor"},{anchor:"diffusers.image_processor.IPAdapterMaskProcessor.resample",description:`<strong>resample</strong> (<code>str</code>, <em>optional</em>, defaults to <code>lanczos</code>) &#x2014;
Resampling filter to use when resizing the image.`,name:"resample"},{anchor:"diffusers.image_processor.IPAdapterMaskProcessor.do_normalize",description:`<strong>do_normalize</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether to normalize the image to [-1,1].`,name:"do_normalize"},{anchor:"diffusers.image_processor.IPAdapterMaskProcessor.do_binarize",description:`<strong>do_binarize</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether to binarize the image to 0/1.`,name:"do_binarize"},{anchor:"diffusers.image_processor.IPAdapterMaskProcessor.do_convert_grayscale",description:`<strong>do_convert_grayscale</strong> (<code>bool</code>, <em>optional</em>, defaults to be <code>True</code>) &#x2014;
Whether to convert the images to grayscale format.`,name:"do_convert_grayscale"}],source:"https://github.com/huggingface/diffusers/blob/v0.29.1/src/diffusers/image_processor.py#L929"}}),Te=new b({props:{name:"downsample",anchor:"diffusers.image_processor.IPAdapterMaskProcessor.downsample",parameters:[{name:"mask",val:": Tensor"},{name:"batch_size",val:": int"},{name:"num_queries",val:": int"},{name:"value_embed_dim",val:": int"}],parametersDescription:[{anchor:"diffusers.image_processor.IPAdapterMaskProcessor.downsample.mask",description:`<strong>mask</strong> (<code>torch.Tensor</code>) &#x2014;
The input mask tensor generated with <code>IPAdapterMaskProcessor.preprocess()</code>.`,name:"mask"},{anchor:"diffusers.image_processor.IPAdapterMaskProcessor.downsample.batch_size",description:`<strong>batch_size</strong> (<code>int</code>) &#x2014;
The batch size.`,name:"batch_size"},{anchor:"diffusers.image_processor.IPAdapterMaskProcessor.downsample.num_queries",description:`<strong>num_queries</strong> (<code>int</code>) &#x2014;
The number of queries.`,name:"num_queries"},{anchor:"diffusers.image_processor.IPAdapterMaskProcessor.downsample.value_embed_dim",description:`<strong>value_embed_dim</strong> (<code>int</code>) &#x2014;
The dimensionality of the value embeddings.`,name:"value_embed_dim"}],source:"https://github.com/huggingface/diffusers/blob/v0.29.1/src/diffusers/image_processor.py#L970",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>The downsampled mask tensor.</p>
`,returnType:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>torch.Tensor</code></p>
`}}),De=new Cr({props:{source:"https://github.com/huggingface/diffusers/blob/main/docs/source/en/api/image_processor.md"}}),{c(){w=s("meta"),ct=o(),nt=s("p"),mt=o(),m(J.$$.fragment),gt=o(),K=s("p"),K.innerHTML=Bo,lt=o(),Q=s("p"),Q.innerHTML=So,pt=o(),m(X.$$.fragment),ft=o(),i=s("div"),m(Z.$$.fragment),Yt=o(),Le=s("p"),Le.textContent=Yo,Jt=o(),z=s("div"),m(ee.$$.fragment),Kt=o(),ke=s("p"),ke.textContent=Jo,Qt=o(),V=s("div"),m(te.$$.fragment),Xt=o(),Ae=s("p"),Ae.textContent=Ko,Zt=o(),C=s("div"),m(oe.$$.fragment),eo=o(),Me=s("p"),Me.textContent=Qo,to=o(),T=s("div"),m(re.$$.fragment),oo=o(),Ee=s("p"),Ee.textContent=Xo,ro=o(),D=s("div"),m(se.$$.fragment),so=o(),Ne=s("p"),Ne.textContent=Zo,ao=o(),L=s("div"),m(ae.$$.fragment),no=o(),We=s("p"),We.textContent=er,io=o(),k=s("div"),m(ne.$$.fragment),co=o(),Fe=s("p"),Fe.textContent=tr,mo=o(),A=s("div"),m(ie.$$.fragment),go=o(),He=s("p"),He.innerHTML=or,lo=o(),M=s("div"),m(de.$$.fragment),po=o(),Re=s("p"),Re.textContent=rr,fo=o(),E=s("div"),m(ce.$$.fragment),uo=o(),qe=s("p"),qe.textContent=sr,ho=o(),N=s("div"),m(me.$$.fragment),_o=o(),Oe=s("p"),Oe.textContent=ar,vo=o(),W=s("div"),m(ge.$$.fragment),bo=o(),Ue=s("p"),Ue.textContent=nr,$o=o(),F=s("div"),m(le.$$.fragment),Po=o(),Ge=s("p"),Ge.innerHTML=ir,xo=o(),H=s("div"),m(pe.$$.fragment),Io=o(),je=s("p"),je.textContent=dr,yo=o(),R=s("div"),m(fe.$$.fragment),wo=o(),Be=s("p"),Be.textContent=cr,zo=o(),q=s("div"),m(ue.$$.fragment),Vo=o(),Se=s("p"),Se.textContent=mr,ut=o(),m(he.$$.fragment),ht=o(),_e=s("p"),_e.innerHTML=gr,_t=o(),P=s("div"),m(ve.$$.fragment),Co=o(),Ye=s("p"),Ye.textContent=lr,To=o(),O=s("div"),m(be.$$.fragment),Do=o(),Je=s("p"),Je.textContent=pr,Lo=o(),U=s("div"),m($e.$$.fragment),ko=o(),Ke=s("p"),Ke.textContent=fr,Ao=o(),G=s("div"),m(Pe.$$.fragment),Mo=o(),Qe=s("p"),Qe.textContent=ur,Eo=o(),j=s("div"),m(xe.$$.fragment),No=o(),Xe=s("p"),Xe.textContent=hr,Wo=o(),B=s("div"),m(Ie.$$.fragment),Fo=o(),Ze=s("p"),Ze.textContent=_r,vt=o(),m(ye.$$.fragment),bt=o(),I=s("div"),m(we.$$.fragment),Ho=o(),et=s("p"),et.textContent=vr,Ro=o(),S=s("div"),m(ze.$$.fragment),qo=o(),tt=s("p"),tt.textContent=br,$t=o(),m(Ve.$$.fragment),Pt=o(),y=s("div"),m(Ce.$$.fragment),Oo=o(),ot=s("p"),ot.textContent=$r,Uo=o(),Y=s("div"),m(Te.$$.fragment),Go=o(),rt=s("p"),rt.textContent=Pr,xt=o(),m(De.$$.fragment),It=o(),it=s("p"),this.h()},l(e){const c=Vr("svelte-u9bgzb",document.head);w=a(c,"META",{name:!0,content:!0}),c.forEach(n),ct=r(e),nt=a(e,"P",{}),_(nt).forEach(n),mt=r(e),g(J.$$.fragment,e),gt=r(e),K=a(e,"P",{"data-svelte-h":!0}),h(K)!=="svelte-1nliw6u"&&(K.innerHTML=Bo),lt=r(e),Q=a(e,"P",{"data-svelte-h":!0}),h(Q)!=="svelte-15xkwv1"&&(Q.innerHTML=So),pt=r(e),g(X.$$.fragment,e),ft=r(e),i=a(e,"DIV",{class:!0});var d=_(i);g(Z.$$.fragment,d),Yt=r(d),Le=a(d,"P",{"data-svelte-h":!0}),h(Le)!=="svelte-20k7u4"&&(Le.textContent=Yo),Jt=r(d),z=a(d,"DIV",{class:!0});var wt=_(z);g(ee.$$.fragment,wt),Kt=r(wt),ke=a(wt,"P",{"data-svelte-h":!0}),h(ke)!=="svelte-3locv9"&&(ke.textContent=Jo),wt.forEach(n),Qt=r(d),V=a(d,"DIV",{class:!0});var zt=_(V);g(te.$$.fragment,zt),Xt=r(zt),Ae=a(zt,"P",{"data-svelte-h":!0}),h(Ae)!=="svelte-1jdqg5n"&&(Ae.textContent=Ko),zt.forEach(n),Zt=r(d),C=a(d,"DIV",{class:!0});var Vt=_(C);g(oe.$$.fragment,Vt),eo=r(Vt),Me=a(Vt,"P",{"data-svelte-h":!0}),h(Me)!=="svelte-1l3ylqr"&&(Me.textContent=Qo),Vt.forEach(n),to=r(d),T=a(d,"DIV",{class:!0});var Ct=_(T);g(re.$$.fragment,Ct),oo=r(Ct),Ee=a(Ct,"P",{"data-svelte-h":!0}),h(Ee)!=="svelte-vsbjec"&&(Ee.textContent=Xo),Ct.forEach(n),ro=r(d),D=a(d,"DIV",{class:!0});var Tt=_(D);g(se.$$.fragment,Tt),so=r(Tt),Ne=a(Tt,"P",{"data-svelte-h":!0}),h(Ne)!=="svelte-ckvlrc"&&(Ne.textContent=Zo),Tt.forEach(n),ao=r(d),L=a(d,"DIV",{class:!0});var Dt=_(L);g(ae.$$.fragment,Dt),no=r(Dt),We=a(Dt,"P",{"data-svelte-h":!0}),h(We)!=="svelte-ipi2rr"&&(We.textContent=er),Dt.forEach(n),io=r(d),k=a(d,"DIV",{class:!0});var Lt=_(k);g(ne.$$.fragment,Lt),co=r(Lt),Fe=a(Lt,"P",{"data-svelte-h":!0}),h(Fe)!=="svelte-1gkaazy"&&(Fe.textContent=tr),Lt.forEach(n),mo=r(d),A=a(d,"DIV",{class:!0});var kt=_(A);g(ie.$$.fragment,kt),go=r(kt),He=a(kt,"P",{"data-svelte-h":!0}),h(He)!=="svelte-kfv3nk"&&(He.innerHTML=or),kt.forEach(n),lo=r(d),M=a(d,"DIV",{class:!0});var At=_(M);g(de.$$.fragment,At),po=r(At),Re=a(At,"P",{"data-svelte-h":!0}),h(Re)!=="svelte-1l17iqw"&&(Re.textContent=rr),At.forEach(n),fo=r(d),E=a(d,"DIV",{class:!0});var Mt=_(E);g(ce.$$.fragment,Mt),uo=r(Mt),qe=a(Mt,"P",{"data-svelte-h":!0}),h(qe)!=="svelte-49eriv"&&(qe.textContent=sr),Mt.forEach(n),ho=r(d),N=a(d,"DIV",{class:!0});var Et=_(N);g(me.$$.fragment,Et),_o=r(Et),Oe=a(Et,"P",{"data-svelte-h":!0}),h(Oe)!=="svelte-uauale"&&(Oe.textContent=ar),Et.forEach(n),vo=r(d),W=a(d,"DIV",{class:!0});var Nt=_(W);g(ge.$$.fragment,Nt),bo=r(Nt),Ue=a(Nt,"P",{"data-svelte-h":!0}),h(Ue)!=="svelte-x3z8ka"&&(Ue.textContent=nr),Nt.forEach(n),$o=r(d),F=a(d,"DIV",{class:!0});var Wt=_(F);g(le.$$.fragment,Wt),Po=r(Wt),Ge=a(Wt,"P",{"data-svelte-h":!0}),h(Ge)!=="svelte-m705s9"&&(Ge.innerHTML=ir),Wt.forEach(n),xo=r(d),H=a(d,"DIV",{class:!0});var Ft=_(H);g(pe.$$.fragment,Ft),Io=r(Ft),je=a(Ft,"P",{"data-svelte-h":!0}),h(je)!=="svelte-1p2bpse"&&(je.textContent=dr),Ft.forEach(n),yo=r(d),R=a(d,"DIV",{class:!0});var Ht=_(R);g(fe.$$.fragment,Ht),wo=r(Ht),Be=a(Ht,"P",{"data-svelte-h":!0}),h(Be)!=="svelte-1acncdu"&&(Be.textContent=cr),Ht.forEach(n),zo=r(d),q=a(d,"DIV",{class:!0});var Rt=_(q);g(ue.$$.fragment,Rt),Vo=r(Rt),Se=a(Rt,"P",{"data-svelte-h":!0}),h(Se)!=="svelte-si84j5"&&(Se.textContent=mr),Rt.forEach(n),d.forEach(n),ut=r(e),g(he.$$.fragment,e),ht=r(e),_e=a(e,"P",{"data-svelte-h":!0}),h(_e)!=="svelte-12yfhhz"&&(_e.innerHTML=gr),_t=r(e),P=a(e,"DIV",{class:!0});var x=_(P);g(ve.$$.fragment,x),Co=r(x),Ye=a(x,"P",{"data-svelte-h":!0}),h(Ye)!=="svelte-bz065s"&&(Ye.textContent=lr),To=r(x),O=a(x,"DIV",{class:!0});var qt=_(O);g(be.$$.fragment,qt),Do=r(qt),Je=a(qt,"P",{"data-svelte-h":!0}),h(Je)!=="svelte-x3z8ka"&&(Je.textContent=pr),qt.forEach(n),Lo=r(x),U=a(x,"DIV",{class:!0});var Ot=_(U);g($e.$$.fragment,Ot),ko=r(Ot),Ke=a(Ot,"P",{"data-svelte-h":!0}),h(Ke)!=="svelte-1k4lt1u"&&(Ke.textContent=fr),Ot.forEach(n),Ao=r(x),G=a(x,"DIV",{class:!0});var Ut=_(G);g(Pe.$$.fragment,Ut),Mo=r(Ut),Qe=a(Ut,"P",{"data-svelte-h":!0}),h(Qe)!=="svelte-1gut907"&&(Qe.textContent=ur),Ut.forEach(n),Eo=r(x),j=a(x,"DIV",{class:!0});var Gt=_(j);g(xe.$$.fragment,Gt),No=r(Gt),Xe=a(Gt,"P",{"data-svelte-h":!0}),h(Xe)!=="svelte-10dsfen"&&(Xe.textContent=hr),Gt.forEach(n),Wo=r(x),B=a(x,"DIV",{class:!0});var jt=_(B);g(Ie.$$.fragment,jt),Fo=r(jt),Ze=a(jt,"P",{"data-svelte-h":!0}),h(Ze)!=="svelte-ectrn8"&&(Ze.textContent=_r),jt.forEach(n),x.forEach(n),vt=r(e),g(ye.$$.fragment,e),bt=r(e),I=a(e,"DIV",{class:!0});var st=_(I);g(we.$$.fragment,st),Ho=r(st),et=a(st,"P",{"data-svelte-h":!0}),h(et)!=="svelte-saajey"&&(et.textContent=vr),Ro=r(st),S=a(st,"DIV",{class:!0});var Bt=_(S);g(ze.$$.fragment,Bt),qo=r(Bt),tt=a(Bt,"P",{"data-svelte-h":!0}),h(tt)!=="svelte-vknpvz"&&(tt.textContent=br),Bt.forEach(n),st.forEach(n),$t=r(e),g(Ve.$$.fragment,e),Pt=r(e),y=a(e,"DIV",{class:!0});var at=_(y);g(Ce.$$.fragment,at),Oo=r(at),ot=a(at,"P",{"data-svelte-h":!0}),h(ot)!=="svelte-mxmwf6"&&(ot.textContent=$r),Uo=r(at),Y=a(at,"DIV",{class:!0});var St=_(Y);g(Te.$$.fragment,St),Go=r(St),rt=a(St,"P",{"data-svelte-h":!0}),h(rt)!=="svelte-1jm7ypm"&&(rt.textContent=Pr),St.forEach(n),at.forEach(n),xt=r(e),g(De.$$.fragment,e),It=r(e),it=a(e,"P",{}),_(it).forEach(n),this.h()},h(){v(w,"name","hf:doc:metadata"),v(w,"content",Dr),v(z,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(V,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(C,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(T,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(D,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(L,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(k,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(A,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(M,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(E,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(N,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(W,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(F,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(H,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(R,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(q,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(i,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(O,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(U,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(G,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(j,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(B,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(P,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(S,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(I,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(Y,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(y,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(e,c){t(document.head,w),$(e,ct,c),$(e,nt,c),$(e,mt,c),l(J,e,c),$(e,gt,c),$(e,K,c),$(e,lt,c),$(e,Q,c),$(e,pt,c),l(X,e,c),$(e,ft,c),$(e,i,c),l(Z,i,null),t(i,Yt),t(i,Le),t(i,Jt),t(i,z),l(ee,z,null),t(z,Kt),t(z,ke),t(i,Qt),t(i,V),l(te,V,null),t(V,Xt),t(V,Ae),t(i,Zt),t(i,C),l(oe,C,null),t(C,eo),t(C,Me),t(i,to),t(i,T),l(re,T,null),t(T,oo),t(T,Ee),t(i,ro),t(i,D),l(se,D,null),t(D,so),t(D,Ne),t(i,ao),t(i,L),l(ae,L,null),t(L,no),t(L,We),t(i,io),t(i,k),l(ne,k,null),t(k,co),t(k,Fe),t(i,mo),t(i,A),l(ie,A,null),t(A,go),t(A,He),t(i,lo),t(i,M),l(de,M,null),t(M,po),t(M,Re),t(i,fo),t(i,E),l(ce,E,null),t(E,uo),t(E,qe),t(i,ho),t(i,N),l(me,N,null),t(N,_o),t(N,Oe),t(i,vo),t(i,W),l(ge,W,null),t(W,bo),t(W,Ue),t(i,$o),t(i,F),l(le,F,null),t(F,Po),t(F,Ge),t(i,xo),t(i,H),l(pe,H,null),t(H,Io),t(H,je),t(i,yo),t(i,R),l(fe,R,null),t(R,wo),t(R,Be),t(i,zo),t(i,q),l(ue,q,null),t(q,Vo),t(q,Se),$(e,ut,c),l(he,e,c),$(e,ht,c),$(e,_e,c),$(e,_t,c),$(e,P,c),l(ve,P,null),t(P,Co),t(P,Ye),t(P,To),t(P,O),l(be,O,null),t(O,Do),t(O,Je),t(P,Lo),t(P,U),l($e,U,null),t(U,ko),t(U,Ke),t(P,Ao),t(P,G),l(Pe,G,null),t(G,Mo),t(G,Qe),t(P,Eo),t(P,j),l(xe,j,null),t(j,No),t(j,Xe),t(P,Wo),t(P,B),l(Ie,B,null),t(B,Fo),t(B,Ze),$(e,vt,c),l(ye,e,c),$(e,bt,c),$(e,I,c),l(we,I,null),t(I,Ho),t(I,et),t(I,Ro),t(I,S),l(ze,S,null),t(S,qo),t(S,tt),$(e,$t,c),l(Ve,e,c),$(e,Pt,c),$(e,y,c),l(Ce,y,null),t(y,Oo),t(y,ot),t(y,Uo),t(y,Y),l(Te,Y,null),t(Y,Go),t(Y,rt),$(e,xt,c),l(De,e,c),$(e,It,c),$(e,it,c),yt=!0},p:Ir,i(e){yt||(p(J.$$.fragment,e),p(X.$$.fragment,e),p(Z.$$.fragment,e),p(ee.$$.fragment,e),p(te.$$.fragment,e),p(oe.$$.fragment,e),p(re.$$.fragment,e),p(se.$$.fragment,e),p(ae.$$.fragment,e),p(ne.$$.fragment,e),p(ie.$$.fragment,e),p(de.$$.fragment,e),p(ce.$$.fragment,e),p(me.$$.fragment,e),p(ge.$$.fragment,e),p(le.$$.fragment,e),p(pe.$$.fragment,e),p(fe.$$.fragment,e),p(ue.$$.fragment,e),p(he.$$.fragment,e),p(ve.$$.fragment,e),p(be.$$.fragment,e),p($e.$$.fragment,e),p(Pe.$$.fragment,e),p(xe.$$.fragment,e),p(Ie.$$.fragment,e),p(ye.$$.fragment,e),p(we.$$.fragment,e),p(ze.$$.fragment,e),p(Ve.$$.fragment,e),p(Ce.$$.fragment,e),p(Te.$$.fragment,e),p(De.$$.fragment,e),yt=!0)},o(e){f(J.$$.fragment,e),f(X.$$.fragment,e),f(Z.$$.fragment,e),f(ee.$$.fragment,e),f(te.$$.fragment,e),f(oe.$$.fragment,e),f(re.$$.fragment,e),f(se.$$.fragment,e),f(ae.$$.fragment,e),f(ne.$$.fragment,e),f(ie.$$.fragment,e),f(de.$$.fragment,e),f(ce.$$.fragment,e),f(me.$$.fragment,e),f(ge.$$.fragment,e),f(le.$$.fragment,e),f(pe.$$.fragment,e),f(fe.$$.fragment,e),f(ue.$$.fragment,e),f(he.$$.fragment,e),f(ve.$$.fragment,e),f(be.$$.fragment,e),f($e.$$.fragment,e),f(Pe.$$.fragment,e),f(xe.$$.fragment,e),f(Ie.$$.fragment,e),f(ye.$$.fragment,e),f(we.$$.fragment,e),f(ze.$$.fragment,e),f(Ve.$$.fragment,e),f(Ce.$$.fragment,e),f(Te.$$.fragment,e),f(De.$$.fragment,e),yt=!1},d(e){e&&(n(ct),n(nt),n(mt),n(gt),n(K),n(lt),n(Q),n(pt),n(ft),n(i),n(ut),n(ht),n(_e),n(_t),n(P),n(vt),n(bt),n(I),n($t),n(Pt),n(y),n(xt),n(It),n(it)),n(w),u(J,e),u(X,e),u(Z),u(ee),u(te),u(oe),u(re),u(se),u(ae),u(ne),u(ie),u(de),u(ce),u(me),u(ge),u(le),u(pe),u(fe),u(ue),u(he,e),u(ve),u(be),u($e),u(Pe),u(xe),u(Ie),u(ye,e),u(we),u(ze),u(Ve,e),u(Ce),u(Te),u(De,e)}}}const Dr='{"title":"VAE Image Processor","local":"vae-image-processor","sections":[{"title":"VaeImageProcessor","local":"diffusers.image_processor.VaeImageProcessor","sections":[],"depth":2},{"title":"VaeImageProcessorLDM3D","local":"diffusers.image_processor.VaeImageProcessorLDM3D","sections":[],"depth":2},{"title":"PixArtImageProcessor","local":"diffusers.image_processor.PixArtImageProcessor","sections":[],"depth":2},{"title":"IPAdapterMaskProcessor","local":"diffusers.image_processor.IPAdapterMaskProcessor","sections":[],"depth":2}],"depth":1}';function Lr(jo){return yr(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Nr extends wr{constructor(w){super(),zr(this,w,Lr,Tr,xr,{})}}export{Nr as component};
